import { aws_codepipeline_actions as actions } from "aws-cdk-lib";
import { TestRunner } from "../test-runner";
type LambdaInvokeActionProps = Omit<actions.LambdaInvokeActionProps, "lambda" | "userParameters">;
/**
 * Configuration options for {@link TestRunnerAction}
 */
export interface TestRunnerActionProps {
    /**
     * Instance of {@link TestRunner}
     */
    testRunner: TestRunner;
    /**
     * Extends {@link actions.LambdaInvokeActionProps} to allow additional configuration
     */
    lambdaInvokeActionProps: LambdaInvokeActionProps;
}
/**
 * Integratest the {@link TestRunner} construct with CodePipeline Actions
 */
export declare class TestRunnerAction extends actions.LambdaInvokeAction {
    readonly lambdaInvokeAction: actions.LambdaInvokeAction;
    constructor(props: TestRunnerActionProps);
}
export {};
