export declare enum LogLevel {
    DEBUG = "DEBUG",
    INFO = "INFO",
    WARN = "WARN",
    ERROR = "ERROR"
}
export declare class Logger {
    /**
     * Safely handles recursive objects
     */
    private static safeStringify;
    private static stringify;
    static debug<TMessage>(message: TMessage): void;
    static info<TMessage>(message: TMessage): void;
    static warn<TMessage>(message: TMessage, err?: Error): void;
    static error<TMessage, TError>(message: TMessage, err?: TError): void;
    private static formatError;
}
